DRM_HELPER_CRTC_MODE(9)

NAME
drm_helper_crtc_mode_set - mode_set implementation for atomic plane helpers

SYNOPSIS

int drm_helper_crtc_mode_set(struct drm_crtc * crtc, struct drm_display_mode * mode, struct drm_display_mode * adjusted_mode, int x, int y, struct drm_framebuffer * old_fb);

ARGUMENTS

crtc
    DRM CRTC

mode
    DRM display mode which userspace requested

adjusted_mode
    DRM display mode adjusted by ->mode_fixup callbacks

x
    x offset of the CRTC scanout area on the underlying framebuffer

y
    y offset of the CRTC scanout area on the underlying framebuffer

old_fb
    previous framebuffer

DESCRIPTION

This function implements a callback useable as the ->mode_set callback required by the crtc helpers. Besides the atomic plane helper functions for the primary plane the driver must also provide the ->mode_set_nofb callback to set up the crtc.

This is a transitional helper useful for converting drivers to the atomic interfaces.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT